Skip to main content
GET
/
vacation_pay_history
Get an employee's vacation pay history for a work assignment
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/vacation_pay_history \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/vacation_pay_history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/vacation_pay_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

work_assignment_id
string
required
period_start
object

Filter results by the payrolls' period start dates.

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: period_start=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: period_start[gte]=2024-01-01&period_start[lt]=2024-12-31
period_end
object

Filter results by the payrolls' period end dates.

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: period_end=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: period_end[gte]=2024-01-01&period_end[lt]=2024-12-31
pay_date
object

Filter results by the payrolls' pay dates.

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: pay_date=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: pay_date[gte]=2024-01-01&pay_date[lt]=2024-12-31
include_next_payrolls
boolean

When true, includes the next (draft) payroll in the results.

include_approved_payrolls
boolean

When true, includes approved but not yet paid payrolls in the results.

sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
pay_date

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]